%global momorel 10
Name: jaming
Version: 0.1.5
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
Source: http://blue.ribbon.to/~harpy/ming/jaming/jaming-%{version}.tar.gz
NoSource: 0
Source1: http://blue.ribbon.to/~harpy/ming/jaming/ttf2fft.tar.gz
NoSource: 1
Source2: LICENSE.ttf2fft
Patch0: jaming-%{version}-utils.patch
Patch1: jaming-%{version}-soname.patch
Patch2: jaming-mingpp.h-fix.patch
Patch3: ttf2fft-Kern0_Pair.patch

Patch100: jaming-gcc31.patch
Patch101: jaming-bison-1875.patch

BuildPreReq: freetype2-devel >= 2.1.0, truetype-fonts-ja
Requires: freetype2 >= 2.1.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: JaMing - Multibyte Code Extension for Ming -
Url: http://blue.ribbon.to/~harpy/ming/jaming/

%description
The goal for Ming is to abstract away all of the mundane specifics of the
SWF file format.

%package devel
Summary: Header files and libraries for developing apps which will use jaming.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
The jaming-devel package contains the header files and libraries needed
to develop programs that use the jaming.

%prep
%setup -q
%setup -q -a 1
%patch0 -p1 -b .utils
%patch1 -p1 -b .soname
%patch2 -p1 -b .mingpp.h-fix
%patch3 -p0 -b .Kern0_Pair
cp %SOURCE2 .

%patch100 -p1 -b .gcc3
%patch101 -p1 -b .bison

%build
make
(cd util; make bindump hexdump listswf listfdb listmp3 listjpeg makefdb swftophp)
(cd util; make CC='gcc -g -Wall -L../' raw2adpcm)
(cd ttf2fft; make)
ttf2fft/ttf2fft -e 1 /usr/share/fonts/truetype/japanese/sazanami-mincho.ttf
ttf2fft/ttf2fft -e 1 /usr/share/fonts/truetype/japanese/sazanami-gothic.ttf
util/makefdb SazanamiGMincho.fft
util/makefdb SazanamiGGothic.fft

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot}/usr install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/jaming/fonts
mkdir -p %{buildroot}%{_libexecdir}/jaming
for i in bindump hexdump listswf listfdb listmp3 listjpeg makefdb swftophp raw2adpcm; do
  install -m 755 util/$i %{buildroot}%{_libexecdir}/jaming
done
install -m 755 ttf2fft/ttf2fft %{buildroot}%{_bindir}
install -m 644 Sazanami\ Mincho.fdb %{buildroot}%{_datadir}/jaming/fonts/sazanami-mincho.fdb
install -m 644 Sazanami\ Gothic.fdb %{buildroot}%{_datadir}/jaming/fonts/sazanami-gothic.fdb
cp -f util/README README.util

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/jaming
%{_libdir}/libming.so.*
%{_libexecdir}/jaming
%doc README.util CHANGES LICENSE README CREDITS TODO LICENSE.ttf2fft

%files devel
%defattr(-,root,root)
%{_libdir}/libming.so
%{_includedir}/*

%changelog
* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.5-10m)
- use sazanami instead of kochi

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (0.1.5-9m)
- revised spec for enabling rpm 4.2.

* Fri Dec  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.5-8m)
- rebuild against roll-backed bison

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.5-7m)
- add patch101 for compile by new version bison

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.1.5-6m)
- add gcc3 patch(jaming-gcc31.patch)

* Wed Oct 23 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.5-5m)
- build against freetype2 >= 2.1.0

* Fri Sep 27 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.1.5-4m)
- fix mingpp.h to adapt to ming.h

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.1.5-3m)
- add LICENSE.ttf2fft

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.1.5-2m)
- Requires freetype2 >= 2.0.9

* Tue Aug 20 2002 Junichiro Kita<kita@momonga-linux.org>
- (0.1.5-1m)
- initial revision
